GET
/
api
/
v1
/
users
Get Users In Organization
curl --request GET \
  --url https://api.jobsim.work/api/v1/users/ \
  --header 'Authorization: Bearer <token>'
[
  {
    "username": "<string>",
    "email": "<string>",
    "organization_id": "<string>",
    "_id": "<string>",
    "full_name": "<string>",
    "role": "employee",
    "is_bot": false,
    "is_active": true,
    "avatar_url": "<string>",
    "bio": "<string>",
    "education": [
      {
        "degree": "<string>",
        "field_of_study": "<string>",
        "university": "<string>",
        "graduation_year": "<string>"
      }
    ],
    "certifications": [
      {
        "name": "<string>",
        "year": "<string>",
        "issuer": "<string>"
      }
    ],
    "hobbies": [
      "<string>"
    ],
    "career_goals": {
      "dream_job": "<string>",
      "experience_level": "<string>",
      "career_goal": "<string>",
      "current_role": "<string>",
      "department": "<string>"
    },
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "last_seen": "2023-11-07T05:31:56Z",
    "metadata": {}
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Successful Response

username
string
required
Required string length: 3 - 50
email
string
required
organization_id
string
required
_id
string | null
full_name
string | null
role
enum<string>
default:employee
Available options:
super_admin,
admin,
hr,
executive,
employee,
bot
is_bot
boolean
default:false
is_active
boolean
default:true
avatar_url
string | null
bio
string | null
education
Education · object[]
certifications
Certification · object[]
hobbies
string[]
career_goals
CareerGoal · object
created_at
string<date-time>
updated_at
string<date-time>
last_seen
string<date-time> | null
metadata
Metadata · object